Skip to main content
PATCH
/
v1
/
settings
/
data-retention
Patch Data Retention
curl --request PATCH \
  --url https://api.example.com/v1/settings/data-retention \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "issue_retention_days": 123,
  "pattern_retention_days": 123,
  "activity_retention_days": 123,
  "audit_log_retention_days": 123,
  "prompt_log_retention_days": 123,
  "anonymize_reporters": true,
  "strip_pii": true,
  "hash_ids": true,
  "include_ip_in_audit": true,
  "scheduled_export_enabled": true
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
issue_retention_days
integer | null
pattern_retention_days
integer | null
activity_retention_days
integer | null
audit_log_retention_days
integer | null
prompt_log_retention_days
integer | null
anonymize_reporters
boolean | null
strip_pii
boolean | null
hash_ids
boolean | null
include_ip_in_audit
boolean | null
scheduled_export_enabled
boolean | null

Response

Successful Response